Page MenuHomePhabricator

[AkismetKlik] MWException Set $wgAKkey in LocalSettings.php or relevant configuration file.
Closed, ResolvedPublic

Description

When installing mediawiki/extensions/AkismetKlik it seems to work fine but loading a page ends up with a trace:

/index.php?title=0.7827181411311182-%C3%B6%C3%A4%C3%BC-%E2%99%A0%E2%99%A3%E2%99%A5%E2%99%A6&action=submit   MWException from line 43 of /home/hashar/projects/integration/quibble/workspace/src/extensions/AkismetKlik/AkismetKlik_body.php: Set $wgAKkey in LocalSettings.php or relevant configuration file.

#1 includes/Hooks.php(174): AkismetKlik::onAkismetFilterMergedContent(RequestContext, WikitextContent, Status, string, User, boolean)
#2 includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#3 includes/EditPage.php(1673): Hooks::run(string, array)
#4 includes/EditPage.php(1992): EditPage->runPostMergeFilters(WikitextContent, Status, User)
#5 includes/EditPage.php(1500): EditPage->internalAttemptSave(NULL, boolean)
#6 includes/EditPage.php(646): EditPage->attemptSave(NULL)
#7 includes/actions/EditAction.php(60): EditPage->edit()
#8 includes/actions/SubmitAction.php(38): EditAction->show()
#9 includes/MediaWiki.php(500): SubmitAction->show()
#10 includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#11 includes/MediaWiki.php(863): MediaWiki->performRequest()
#12 includes/MediaWiki.php(524): MediaWiki->main()
#13 index.php(42): MediaWiki->run()
#14 {main}

Event Timeline

hashar created this task.May 29 2018, 12:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 12:06 PM
hashar renamed this task from [AkismetKlik] to [AkismetKlik] MWException Set $wgAKkey in LocalSettings.php or relevant configuration file..May 29 2018, 12:06 PM
hashar updated the task description. (Show Details)

Change 435991 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/AkismetKlik@master] Do not fail when API key is not set

https://gerrit.wikimedia.org/r/435991

Change 440348 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate AkismetKlik to Quibble

https://gerrit.wikimedia.org/r/440348

hashar closed this task as Resolved.Jun 14 2018, 2:42 PM
hashar closed this task as Resolved.
hashar claimed this task.
hashar claimed this task.

Change 440348 merged by jenkins-bot:
[integration/config@master] Migrate AkismetKlik to Quibble

https://gerrit.wikimedia.org/r/440348

Change 435991 merged by jenkins-bot:
[mediawiki/extensions/AkismetKlik@master] Do not fail when API key is not set

https://gerrit.wikimedia.org/r/435991

Vvjjkkii renamed this task from [AkismetKlik] MWException Set $wgAKkey in LocalSettings.php or relevant configuration file. to k3baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from k3baaaaaaa to [AkismetKlik] MWException Set $wgAKkey in LocalSettings.php or relevant configuration file..Jul 2 2018, 3:27 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot raised the priority of this task from High to Needs Triage.